package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF44D extends MwfRequest<MWF44D, MWF44DResponse> {

    @Parameter(name = "BrandKarty")
    MWF44D brandKarty(String brandKarty);
    @Parameter(name = "CisloSmlouvy")
    MWF44D cisloSmlouvy(String cisloSmlouvy);
    @Parameter(name = "CisloUctu")
    MWF44D cisloUctu(String cisloUctu);
    @Parameter(name = "DesignKarty")
    MWF44D designKarty(String designKarty);
    @Parameter(name = "IDXselloveKampane")
    MWF44D iDXselloveKampane(String iDXselloveKampane);
    @Parameter(name = "OM_ID")
    MWF44D omId(String omId);
    @Parameter(name = "Operace")
    MWF44D operace(String operace);
    @Parameter(name = "PozadovanaCastka")
    MWF44D pozadovanaCastka(Double pozadovanaCastka);
    @Parameter(name = "PracovnikMTSID")
    MWF44D pracovnikMTSID(String pracovnikMTSID);
    @Parameter(name = "PrimarniUrednikID")
    MWF44D primarniUrednikID(String primarniUrednikID);
    @Parameter(name = "PrimarniUrednikJmeno")
    MWF44D primarniUrednikJmeno(String primarniUrednikJmeno);
    @Parameter(name = "PrimarniUrednikPrijmeni")
    MWF44D primarniUrednikPrijmeni(String primarniUrednikPrijmeni);
    @Parameter(name = "PrimarniUrednikSSO")
    MWF44D primarniUrednikSSO(String primarniUrednikSSO);
    @Parameter(name = "ProcentoHotovostnihoLimitu")
    MWF44D procentoHotovostnihoLimitu(Double procentoHotovostnihoLimitu);
    @Parameter(name = "ProcentoMinimalniSplatky")
    MWF44D procentoMinimalniSplatky(Double procentoMinimalniSplatky);
    @Parameter(name = "ProduktSales")
    MWF44D produktSales(String produktSales);
    @Parameter(name = "PromoAkce")
    MWF44D promoAkce(String promoAkce);
    @Parameter(name = "UrednikFunkce")
    MWF44D urednikFunkce(String urednikFunkce);
    @Parameter(name = "UrednikID")
    MWF44D urednikID(String urednikID);
    @Parameter(name = "UrednikJmeno")
    MWF44D urednikJmeno(String urednikJmeno);
    @Parameter(name = "UrednikPrijmeni")
    MWF44D urednikPrijmeni(String urednikPrijmeni);
    @Parameter(name = "UrednikSSO")
    MWF44D urednikSSO(String urednikSSO);
    @Parameter(name = "ZadostPuvodni")
    MWF44D zadostPuvodni(String zadostPuvodni);
}
